#include "Screen.h"

#include "IPlatformScreen.h"

namespace mt{
Screen::Screen()
{

}

Screen::~Screen()
{

}

std::unique_ptr<Screen> Screen::Create()
{
	return std::make_unique<Screen>();
}

IPlatformScreen* Screen::GetPlatformScreen() const
{
    if (mPlatformScreen)
    {
        return mPlatformScreen.get();
    }
    return nullptr;
}

void Screen::SetPlatformScreen(IPlatformScreenPtr screen)
{
    mPlatformScreen = std::move(screen);
}
}
